The officially official Devuan Forum!

You are not logged in.

#1 2022-05-12 16:54:13

Len E.
Member
Registered: 2022-05-12
Posts: 7  

[SOLVED] Synaptic Package List Problems on devuan_beowulf_3.1.1_i386

(I've worked considerably with Debian, but I'm new to Devuan).

After installing the subject live .iso,  I started up Synaptic, and when
trying to reload the package lists, I encountered the following error
message:

Could not download all repository indexes

The repository may no longer be available or could not be contacted because
of network problems.  If available an older version of the failed index will be
used.  Otherwise the repository will be ignored. Check your network
connection and ensure the repository address in the preferences is correct.

Repository 'http://deb.devuan.org/merged beowulf-updates InRelease'
changed its 'Suite' value from 'stable-updates' to 'oldstable-updates'  This must
be accepted explicitly before updates for this repository can be applied.  See
apt-secure(8) manpage for details.  Repository 'http://deb.devuan.org/merged
beowulf-security In Release' changed its 'Suite' value from 'stable-security' to
'oldstable-security'  This must be accepted explicitly before updates for this
repository can be applied.  See apt-secure(8) manpage for details. Repository
'http://deb.devuan.org/merged beowulf InRelease' changed its 'Suite" value
from 'stable' to 'oldstable"
***********************************************************************************
My network connection works fine.  The apt-secure(8) manpage did not clarify what
was required to overcome the problem.  The /etc/apt/sources.list file appears normal,
referencing the standard repos.

Also, when attempting to install gdebi from synaptic,  3 packages were missing, with
the error message indicating they could be found in deb.debian.org.
There is no reference to deb.debian.org in /etc/apt/sources.list, and as I understand it,
devuan should not have any direct references to standard debian repos ???

**************************************************************************
Hope to elicit some "how to" clarification ......
Len E.

Last edited by Len E. (2022-05-16 15:06:42)

Offline

#2 2022-05-12 17:06:42

rolfie
Member
Registered: 2017-11-25
Posts: 641  

Re: [SOLVED] Synaptic Package List Problems on devuan_beowulf_3.1.1_i386

Welcome. First of all lets have a look at your complete sources.list. Please post here.

Well, Beowulf is oldstable now, stable is Chimaera. Do you have a specific reason not to switch to Chimaera?

rolfie

Offline

#3 2022-05-12 17:57:51

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,324  

Re: [SOLVED] Synaptic Package List Problems on devuan_beowulf_3.1.1_i386

Len E. wrote:

Hope to elicit some "how to" clarification

sudo apt update && sudo apt upgrade

Say "yes" when it asks if you want to change the release.


To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

#4 2022-05-12 21:09:07

Len E.
Member
Registered: 2022-05-12
Posts: 7  

Re: [SOLVED] Synaptic Package List Problems on devuan_beowulf_3.1.1_i386

Hi rolfie:

The sources.list:

## package repositories
deb http://deb.devuan.org/merged beowulf main 
deb http://deb.devuan.org/merged beowulf-updates main 
deb http://deb.devuan.org/merged beowulf-security main
#deb http://deb.devuan.org/merged beowulf-backports main 
## source repositories
#deb-src http://deb.devuan.org/merged beowulf main 
#deb-src http://deb.devuan.org/merged beowulf-updates main 
#deb-src http://deb.devuan.org/merged beowulf-security main 
#deb-src http://deb.devuan.org/merged beowulf-backports main

****************************************************************************
In general, with LTS releases, for maximum reliability,  I prefer the latest/last
oldstable release rather than an early stable release:
(eg:  with Debian Stretch EOL next month, I've just migrated my personal-use
distro from debian-9.13.0 to debian-10.12.0 which has 2 years of life left).

At this time, I believe beowulf-3.1.1 is a better choice than chimaera-4.0.0,
until chimaera-4.1.0 comes out.

Len E.

Last edited by Len E. (2022-05-12 21:11:34)

Offline

#5 2022-05-15 03:32:19

Len E.
Member
Registered: 2022-05-12
Posts: 7  

Re: [SOLVED] Synaptic Package List Problems on devuan_beowulf_3.1.1_i386

I followed up on the suggestions in the apt-secure(8) manpage to no avail.

In the first 3 statements in the beowulf sources.list, after the initial deb
word, I inserted [trusted=yes allow-insecure=yes allow-downgrade-to-insecure=yes]

This change had no effect on the synaptic problem.   Also, the same problem was
evident when trying to install gdebi with   sudo apt install gdebi and    sudo apt-get install gdebi
from the command line.   From the command line, sudo apt-get update also generated
the same error messages as trying to reload the synaptic package lists.

I downloaded the chimaera-4.0.0 .iso, and noted that the sources.list file is exactly the
same in structure as the ascii and beowulf sources.list files, with the only change
being the distro name,  ascii -->  beowulf --> chimaera.

I don't know what else to try, in order to make the devuan_beowulf_3.1.1_i386 distro
usable at this time.

Len E,

Offline

#6 2022-05-15 05:35:21

GlennW
Member
Registered: 2019-07-18
Posts: 224  

Re: [SOLVED] Synaptic Package List Problems on devuan_beowulf_3.1.1_i386

Hi, maybe you could add non-free and contrib to your lines in sources.list

I have a 64bit system but use i386 for steam (gamming app) and when I changed over I found it usefull back then to keep beowulf in the list, although it's not current now so it is not used. I also prefer synaptic when I'm browsing for packages, dep and related info.

My list looks like this...

/etc/apt/sources.list

deb http://deb.devuan.org/merged/ chimaera main non-free contrib  
deb http://deb.devuan.org/merged/ chimaera-proposed-updates contrib non-free main    
deb http://deb.devuan.org/merged/ chimaera-updates contrib non-free main  
deb http://deb.devuan.org/merged/ chimaera-backports main non-free contrib  
deb http://deb.devuan.org/merged/ chimaera-security main non-free contrib
# deb http://deb.devuan.org/merged/ testing main

## Debian-bookworm-testing
# deb http://deb.debian.org/debian/ experimental non-free contrib main  


# chimaera-updates, to get updates before a point release is made;
# see https://www.debian.org/doc/manuals/debian-reference/ch02.en.html#_updates_and_backports
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.


# Beowulf deb http://deb.devuan.org/merged/

deb http://deb.devuan.org/merged/ beowulf main non-free contrib 
deb http://deb.devuan.org/merged/ beowulf-security main non-free contrib 
deb http://deb.devuan.org/merged/ beowulf-updates main non-free contrib 
deb http://deb.devuan.org/merged/ beowulf-backports main non-free contrib 
deb http://deb.devuan.org/merged/ beowulf-proposed-updates main non-free contrib    

Then I added this to get i386 access...

dpkg --add-architecture i386

This added i386 to the system... (although not reflected in my current sources.list, not sure why)

another example for the command line to get i386 package, like this...

apt-get install libgl1-mesa-glx:i386

I hope this helps

Offline

#7 2022-05-15 07:41:06

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,324  

Re: [SOLVED] Synaptic Package List Problems on devuan_beowulf_3.1.1_i386

Len E. wrote:

I don't know what else to try

I have already given the solution to your problem in my last post in this thread. Please read it and run those commands. If they do not fix your problem (after answering "yes" when asked) then please post the full terminal output from those commands. Thanks.

EDIT: this has cropped up several times before and if you had bothered to use the "Search" button you would have found the solution without having to create _another_ thread about it.

https://dev1galaxy.org/search.php?search_id=101298655

Last edited by Head_on_a_Stick (2022-05-15 13:03:42)


To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

#8 2022-05-15 21:11:53

Len E.
Member
Registered: 2022-05-12
Posts: 7  

Re: [SOLVED] Synaptic Package List Problems on devuan_beowulf_3.1.1_i386

Hi GlennW:

I followed your advice about adding non-free and contrib to my sources.list lines, as well
as adding lines for backports and proposed-updates.
Unfortunately, it didn't solve the problem.
Thanks for your help anyway !!
Len E.
*************************************************************************************************************
Hi Head_on_a_Stick:

Before starting this post, I did try a search with keyword "Synaptic Problem", but it
didn't come up with anything related to this situation.

I didn't forget your initial advice about upgrading to Chimaera, but according to
my preferences as described in my previous post,  I was still hopeful about
finding a way to make Beowulf work.   If abandoning Beowulf and going to
Chimaera is to the only option, I'll simply install Chimaera afresh (I've already
downloaded it) and go from there.

I tried to access the explanatory post that you mentioned in your last response,
but I get a "not found" message.

If you have time, could you please check the article ID and post the corrected
link if appropriate ???       

Thanks !
Len E.

Offline

#9 2022-05-15 21:13:23

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,324  

Re: [SOLVED] Synaptic Package List Problems on devuan_beowulf_3.1.1_i386

FFS Len just run these commands please:

apt update
apt upgrade

EDIT: as root.

Last edited by Head_on_a_Stick (2022-05-15 21:14:08)


To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

#10 2022-05-15 22:50:35

Len E.
Member
Registered: 2022-05-12
Posts: 7  

Re: [SOLVED] Synaptic Package List Problems on devuan_beowulf_3.1.1_i386

Hi Head_on_a_Stick:

I want to apologize to you for the thick-headedness I've demonstrated
during this post.

If I had just done what you suggested in your initial 2022-05-12 response,
the problem would have been solved quickly.

*****************************************************************
sudo apt update && sudo apt upgrade

     IS NOT THE SAME AS

sudo apt-get update && sudo apt-get dist-upgrade

I misinterpreted the first (your recommended) command
for the latter command and incorrectly assumed you were
recommending a change to Chimaera.

I now (finally) implemented your recommendation and cleared up the
problem.   The sudo apt update portion explicitly changes the 'Suite"
value as described on the apt-secure(8) manpage.

**************************************************************************************
Thank you for persevering with me, so that I finally got things right.

Len E.

Offline

Board footer